Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1568819 - [abrt] gnome-shell: _cogl_texture_get_type(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: _cogl_texture_get_type(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 28
Hardware: x86_64
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:89e1ac48ec0e4644157be4ccf2a...
: 1576456 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 09:43 UTC by prasun.gera
Modified: 2019-05-28 20:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:45:03 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (112.02 KB, text/plain)
2018-04-18 09:43 UTC, prasun.gera
no flags Details
File: cgroup (331 bytes, text/plain)
2018-04-18 09:43 UTC, prasun.gera
no flags Details
File: core_backtrace (56.55 KB, text/plain)
2018-04-18 09:43 UTC, prasun.gera
no flags Details
File: cpuinfo (1.19 KB, text/plain)
2018-04-18 09:43 UTC, prasun.gera
no flags Details
File: dso_list (24.64 KB, text/plain)
2018-04-18 09:43 UTC, prasun.gera
no flags Details
File: environ (3.48 KB, text/plain)
2018-04-18 09:43 UTC, prasun.gera
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-18 09:43 UTC, prasun.gera
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-18 09:43 UTC, prasun.gera
no flags Details
File: maps (111.66 KB, text/plain)
2018-04-18 09:43 UTC, prasun.gera
no flags Details
File: mountinfo (3.97 KB, text/plain)
2018-04-18 09:43 UTC, prasun.gera
no flags Details
File: open_fds (8.56 KB, text/plain)
2018-04-18 09:43 UTC, prasun.gera
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-04-18 09:43 UTC, prasun.gera
no flags Details
File: var_log_messages (16.17 KB, text/plain)
2018-04-18 09:44 UTC, prasun.gera
no flags Details

Description prasun.gera 2018-04-18 09:43:41 UTC
Description of problem:
connect external monitor to an optimus laptop (thinkpad w530)
wayland session, nouveau drivers. 
x.org session worked alright with the external monitor (with screen tearing, but that's a separate issue)

Version-Release number of selected component:
gnome-shell-3.28.1-1.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _cogl_texture_get_type
executable:     /usr/bin/gnome-shell
journald_cursor: s=99366f74fa55475eac7b0aa16515a5a5;i=1ae9;b=86511e03daf64eea933bf62e0756805b;m=2beb6ecf;t=56a1c16078a44;x=12bd73ffa58121c
kernel:         4.16.2-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _cogl_texture_get_type at cogl-texture.c:342
 #1 cogl_pipeline_set_layer_texture at cogl-pipeline-layer-state.c:326
 #2 meta_background_get_texture at compositor/meta-background.c:847
 #3 setup_pipeline at compositor/meta-background-actor.c:355
 #4 meta_background_actor_paint at compositor/meta-background-actor.c:506
 #5 clutter_actor_continue_paint at clutter-actor.c:4030
 #6 clutter_actor_paint at clutter-actor.c:3946
 #7 clutter_actor_real_paint at clutter-actor.c:3645
 #8 clutter_actor_continue_paint at clutter-actor.c:4030
 #9 clutter_actor_paint at clutter-actor.c:3946

Comment 1 prasun.gera 2018-04-18 09:43:46 UTC
Created attachment 1423407 [details]
File: backtrace

Comment 2 prasun.gera 2018-04-18 09:43:47 UTC
Created attachment 1423408 [details]
File: cgroup

Comment 3 prasun.gera 2018-04-18 09:43:48 UTC
Created attachment 1423409 [details]
File: core_backtrace

Comment 4 prasun.gera 2018-04-18 09:43:49 UTC
Created attachment 1423410 [details]
File: cpuinfo

Comment 5 prasun.gera 2018-04-18 09:43:51 UTC
Created attachment 1423411 [details]
File: dso_list

Comment 6 prasun.gera 2018-04-18 09:43:52 UTC
Created attachment 1423412 [details]
File: environ

Comment 7 prasun.gera 2018-04-18 09:43:53 UTC
Created attachment 1423413 [details]
File: exploitable

Comment 8 prasun.gera 2018-04-18 09:43:54 UTC
Created attachment 1423414 [details]
File: limits

Comment 9 prasun.gera 2018-04-18 09:43:55 UTC
Created attachment 1423415 [details]
File: maps

Comment 10 prasun.gera 2018-04-18 09:43:56 UTC
Created attachment 1423416 [details]
File: mountinfo

Comment 11 prasun.gera 2018-04-18 09:43:58 UTC
Created attachment 1423417 [details]
File: open_fds

Comment 12 prasun.gera 2018-04-18 09:43:59 UTC
Created attachment 1423418 [details]
File: proc_pid_status

Comment 13 prasun.gera 2018-04-18 09:44:00 UTC
Created attachment 1423419 [details]
File: var_log_messages

Comment 14 lfernandez 2018-05-09 13:43:11 UTC
*** Bug 1576456 has been marked as a duplicate of this bug. ***

Comment 15 Ben Cotton 2019-05-02 21:32:15 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2019-05-28 20:45:03 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.